Package org.apache.commons.lang3.function

# Interface FailableLongPredicate<E extends Throwable>

Type Parameters:
  `E` - The kind of thrown exception or error.

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface FailableLongPredicate<E extends Throwable>
A functional interface like `LongPredicate` that declares a `Throwable`.

Since:
  3.11

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final FailableLongPredicate`
  `FALSE`
  FALSE singleton
  `static final FailableLongPredicate`
  `TRUE`
  TRUE singleton

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default FailableLongPredicate<E>`
  `and(FailableLongPredicate<E> other)`
  Returns a composed `FailableLongPredicate` like `LongPredicate.and(LongPredicate)`.
  `static <E extends Throwable>
  FailableLongPredicate<E>`
  `falsePredicate()`
  Returns The FALSE singleton.
  `default FailableLongPredicate<E>`
  `negate()`
  Returns a predicate that negates this predicate.
  `default FailableLongPredicate<E>`
  `or(FailableLongPredicate<E> other)`
  Returns a composed `FailableLongPredicate` like `LongPredicate.and(LongPredicate)`.
  `boolean`
  `test(long value)`
  Tests the predicate.
  `static <E extends Throwable>
  FailableLongPredicate<E>`
  `truePredicate()`
  Returns The TRUE singleton.

- ## Field Details

  - ### FALSE

    static final FailableLongPredicate FALSE
    FALSE singleton

  - ### TRUE

    static final FailableLongPredicate TRUE
    TRUE singleton

- ## Method Details

  - ### falsePredicate

    static <E extends Throwable> FailableLongPredicate<E> falsePredicate()
    Returns The FALSE singleton.
    Type Parameters:
      `E` - The kind of thrown exception or error.
    Returns:
      The NOP singleton.

  - ### truePredicate

    static <E extends Throwable> FailableLongPredicate<E> truePredicate()
    Returns The TRUE singleton.
    Type Parameters:
      `E` - The kind of thrown exception or error.
    Returns:
      The NOP singleton.

  - ### and

    default FailableLongPredicate<E> and(FailableLongPredicate<E> other)
    Returns a composed `FailableLongPredicate` like `LongPredicate.and(LongPredicate)`.
    Parameters:
      `other` - a predicate that will be logically-ANDed with this predicate.
    Returns:
      a composed `FailableLongPredicate` like `LongPredicate.and(LongPredicate)`.
    Throws:
      `NullPointerException` - if other is null

  - ### negate

    default FailableLongPredicate<E> negate()
    Returns a predicate that negates this predicate.
    Returns:
      a predicate that negates this predicate.

  - ### or

    default FailableLongPredicate<E> or(FailableLongPredicate<E> other)
    Returns a composed `FailableLongPredicate` like `LongPredicate.and(LongPredicate)`.
    Parameters:
      `other` - a predicate that will be logically-ORed with this predicate.
    Returns:
      a composed `FailableLongPredicate` like `LongPredicate.and(LongPredicate)`.
    Throws:
      `NullPointerException` - if other is null

  - ### test

    boolean test(long value) throws E
    Tests the predicate.
    Parameters:
      `value` - the parameter for the predicate to accept.
    Returns:
      `true` if the input argument matches the predicate, `false` otherwise.
    Throws:
      `E` - Thrown when the consumer fails.